STOFFChart::Axis Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
STOFFChart::Axis Struct Reference

`#include <STOFFChart.hxx>`

## Public Types
enum | Type { A_None , A_Numeric , A_Logarithmic , A_Sequence , A_Sequence_Skip_Empty }
| the axis content More...

## Public Member Functions
| Axis ()
| constructor More...
| ~Axis ()
| destructor More...
void | addContentTo (int coord, librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList More...

## Public Attributes
Type | m_type
| the sequence type More...
bool | m_automaticScaling
| automatic scaling (or manual) More...
STOFFVec2f | m_scaling
| the minimum, maximum scaling(if manual) More...
bool | m_showGrid
| show or not the grid More...
bool | m_showLabel
| show or not the label More...
Position | m_labelRanges [2]
| the label range if defined More...
bool | m_showTitle
| show or not the title/subtitle More...
Position | m_titleRange
| the title cell range More...
librevenge::RVNGString | m_title
| the title label More...
librevenge::RVNGString | m_subTitle
| the subtitle label More...
STOFFGraphicStyle | m_style
| the graphic style More...

## Friends
std::ostream & | operator<< (std::ostream &o, Axis const &axis)
| operator<< More...

## Member Enumeration Documentation

## ◆ Type

enum STOFFChart::Axis::Type

the axis content

Enumerator
A_None |
A_Numeric |
A_Logarithmic |
A_Sequence |
A_Sequence_Skip_Empty |

## Constructor & Destructor Documentation

## ◆ Axis()

STOFFChart::Axis::Axis | ( |  | ) |

constructor

## ◆ ~Axis()

STOFFChart::Axis::~Axis | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void STOFFChart::Axis::addContentTo | ( | int | coord,
|  | librevenge::RVNGPropertyList & | propList
| ) |  | const

add content to the propList

Referenced by STOFFChart::sendChart().

## ◆ addStyleTo()

void STOFFChart::Axis::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

Referenced by STOFFChart::sendChart().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Axis const & | axis
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_automaticScaling

bool STOFFChart::Axis::m_automaticScaling

automatic scaling (or manual)

## ◆ m_labelRanges

Position STOFFChart::Axis::m_labelRanges[2]

the label range if defined

## ◆ m_scaling

STOFFVec2f STOFFChart::Axis::m_scaling

the minimum, maximum scaling(if manual)

## ◆ m_showGrid

bool STOFFChart::Axis::m_showGrid

show or not the grid

## ◆ m_showLabel

bool STOFFChart::Axis::m_showLabel

show or not the label

## ◆ m_showTitle

bool STOFFChart::Axis::m_showTitle

show or not the title/subtitle

## ◆ m_style

STOFFGraphicStyle STOFFChart::Axis::m_style

the graphic style

Referenced by Axis().

## ◆ m_subTitle

librevenge::RVNGString STOFFChart::Axis::m_subTitle

the subtitle label

## ◆ m_title

librevenge::RVNGString STOFFChart::Axis::m_title

the title label

## ◆ m_titleRange

Position STOFFChart::Axis::m_titleRange

the title cell range

## ◆ m_type

Type STOFFChart::Axis::m_type

the sequence type

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx